<mamecheat version="1">

  <cheat desc="Infinite Thinking Time">
    <script state="run">
      <action>maincpu.pw@70ED=0002</action>
    </script>
  </cheat>

  <cheat desc="Player Always Maximum Score">
    <script state="run">
      <action>maincpu.pw@7165=270F</action>
    </script>
  </cheat>

  <cheat desc="Select Roulette Number">
    <parameter>
      <item value="0x00">1</item>
      <item value="0x03">2</item>
      <item value="0x01">3</item>
      <item value="0x02">5</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@707B=param</action>
    </script>
  </cheat>

  <cheat desc="Disregard Return to Start Point"> <comment>Prevents you from returning to the start point when you stop on the blue point on the map screen.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@8D40</action>
    </script>
    <script state="run">
      <action>maincpu.mb@8D40=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@8D40=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Select Current Stage">
    <parameter min="1" max="18" step="1"/>
    <script state="change">
      <action>maincpu.pb@70F1=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The winning hand cheat must be activated when there are 14 tiles in your"/>
  <cheat desc="hand, then press the RON key ('Z' by default). The tiles do not visually"/>
  <cheat desc="change until you make a move."/>
  <cheat desc=" "/>

  <cheat desc="Always winning hand">
    <script state="run">
      <action>maincpu.pw@748C=3131</action>
      <action>maincpu.pd@748E=00323232|(maincpu.pd@748E BAND ~00FFFFFF)</action>
      <action>maincpu.pd@7491=00353535|(maincpu.pd@7491 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@7494=00363636|(maincpu.pd@7494 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@7497=00373737|(maincpu.pd@7497 BAND ~00FFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>maincpu.pw@748C=3131</action>
      <action>maincpu.pd@748E=00323232|(maincpu.pd@748E BAND ~00FFFFFF)</action>
      <action>maincpu.pd@7491=00353535|(maincpu.pd@7491 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@7494=00363636|(maincpu.pd@7494 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@7497=00373737|(maincpu.pd@7497 BAND ~00FFFFFF)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
